<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2Info
{
    /**
     * @var string
     */
    private $text;

    public function getText(): string
    {
        return $this->text;
    }

    public function withText(string $text): CParcelShop2Info
    {
        $new = clone $this;
        $new->text = $text;

        return $new;
    }
}
